## EmpathyAccountManager

EmpathyAccountManager

## Synopsis

                        EmpathyAccountManager;
    EmpathyAccountManager * empathy_account_manager_dup_singleton
                                                            (void);
    gboolean            empathy_account_manager_is_ready    (EmpathyAccountManager *manager);
    int                 empathy_account_manager_get_connected_accounts
                                                            (EmpathyAccountManager *manager);
    int                 empathy_account_manager_get_connecting_accounts
                                                            (EmpathyAccountManager *manager);
    int                 empathy_account_manager_get_count   (EmpathyAccountManager *manager);
    EmpathyAccount *    empathy_account_manager_get_account_for_connection
                                                            (EmpathyAccountManager *manager,
                                                             TpConnection *connection);
    EmpathyAccount *    empathy_account_manager_ensure_account
                                                            (EmpathyAccountManager *manager,
                                                             const gchar *unique_name);
    EmpathyAccount *    empathy_account_manager_get_account (EmpathyAccountManager *manager,
                                                             const gchar *unique_name);
    GList *             empathy_account_manager_dup_accounts
                                                            (EmpathyAccountManager *manager);
    GList *             empathy_account_manager_dup_connections
                                                            (EmpathyAccountManager *manager);
    void                empathy_account_manager_request_global_presence
                                                            (EmpathyAccountManager *manager,
                                                             TpConnectionPresenceType type,
                                                             const gchar *status,
                                                             const gchar *message);
    TpConnectionPresenceType  empathy_account_manager_get_requested_global_presence
                                                            (EmpathyAccountManager *manager,
                                                             gchar **status,
                                                             gchar **message);
    TpConnectionPresenceType  empathy_account_manager_get_global_presence
                                                            (EmpathyAccountManager *manager,
                                                             gchar **status,
                                                             gchar **message);
    void                empathy_account_manager_create_account_async
                                                            (EmpathyAccountManager *manager,
                                                             const gchar *connection_manager,
                                                             const gchar *protocol,
                                                             const gchar *display_name,
                                                             GHashTable *parameters,
                                                             GHashTable *properties,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);
    EmpathyAccount *    empathy_account_manager_create_account_finish
                                                            (EmpathyAccountManager *settings,
                                                             GAsyncResult *result,
                                                             GError **error);

## Object Hierarchy

      GObject
       +----EmpathyAccountManager

## Properties

      "ready"                    gboolean              : Read

## Signals

      "account-changed"                                : Run Last
      "account-connection-changed"                     : Run Last
      "account-created"                                : Run Last
      "account-deleted"                                : Run Last
      "account-disabled"                               : Run Last
      "account-enabled"                                : Run Last
      "global-presence-changed"                        : Run Last
      "new-connection"                                 : Run Last

## Description

## Details

### EmpathyAccountManager

    typedef struct _EmpathyAccountManager EmpathyAccountManager;

### empathy_account_manager_dup_singleton ()

    EmpathyAccountManager * empathy_account_manager_dup_singleton
                                                            (void);

Returns : |

### empathy_account_manager_is_ready ()

    gboolean            empathy_account_manager_is_ready    (EmpathyAccountManager *manager);

`manager` : |
Returns : |

### empathy_account_manager_get_connected_accounts ()

    int                 empathy_account_manager_get_connected_accounts
                                                            (EmpathyAccountManager *manager);

`manager` : |
Returns : |

### empathy_account_manager_get_connecting_accounts ()

    int                 empathy_account_manager_get_connecting_accounts
                                                            (EmpathyAccountManager *manager);

`manager` : |
Returns : |

### empathy_account_manager_get_count ()

    int                 empathy_account_manager_get_count   (EmpathyAccountManager *manager);

Get the number of accounts.

`manager` : | a EmpathyAccountManager
Returns : | the number of accounts.

### empathy_account_manager_get_account_for_connection ()

    EmpathyAccount *    empathy_account_manager_get_account_for_connection
                                                            (EmpathyAccountManager *manager,
                                                             TpConnection *connection);

`manager` : |
`connection` : |
Returns : |

### empathy_account_manager_ensure_account ()

    EmpathyAccount *    empathy_account_manager_ensure_account
                                                            (EmpathyAccountManager *manager,
                                                             const gchar *unique_name);

`manager` : |
`unique_name` : |
Returns : |

### empathy_account_manager_get_account ()

    EmpathyAccount *    empathy_account_manager_get_account (EmpathyAccountManager *manager,
                                                             const gchar *unique_name);

`manager` : |
`unique_name` : |
Returns : |

### empathy_account_manager_dup_accounts ()

    GList *             empathy_account_manager_dup_accounts
                                                            (EmpathyAccountManager *manager);

`manager` : |
Returns : |

### empathy_account_manager_dup_connections ()

    GList *             empathy_account_manager_dup_connections
                                                            (EmpathyAccountManager *manager);

Get a GList of all ready TpConnection. The list must be freed with g_list_free, and its elements must be unreffed.

`manager` : | a EmpathyAccountManager
Returns : | the list of connections

### empathy_account_manager_request_global_presence ()

    void                empathy_account_manager_request_global_presence
                                                            (EmpathyAccountManager *manager,
                                                             TpConnectionPresenceType type,
                                                             const gchar *status,
                                                             const gchar *message);

`manager` : |
`type` : |
`status` : |
`message` : |

### empathy_account_manager_get_requested_global_presence ()

    TpConnectionPresenceType  empathy_account_manager_get_requested_global_presence
                                                            (EmpathyAccountManager *manager,
                                                             gchar **status,
                                                             gchar **message);

`manager` : |
`status` : |
`message` : |
Returns : |

### empathy_account_manager_get_global_presence ()

    TpConnectionPresenceType  empathy_account_manager_get_global_presence
                                                            (EmpathyAccountManager *manager,
                                                             gchar **status,
                                                             gchar **message);

`manager` : |
`status` : |
`message` : |
Returns : |

### empathy_account_manager_create_account_async ()

    void                empathy_account_manager_create_account_async
                                                            (EmpathyAccountManager *manager,
                                                             const gchar *connection_manager,
                                                             const gchar *protocol,
                                                             const gchar *display_name,
                                                             GHashTable *parameters,
                                                             GHashTable *properties,
                                                             GAsyncReadyCallback callback,
                                                             gpointer user_data);

`manager` : |
`connection_manager` : |
`protocol` : |
`display_name` : |
`parameters` : |
`properties` : |
`callback` : |
`user_data` : |

### empathy_account_manager_create_account_finish ()

    EmpathyAccount *    empathy_account_manager_create_account_finish
                                                            (EmpathyAccountManager *settings,
                                                             GAsyncResult *result,
                                                             GError **error);

`settings` : |
`result` : |
`error` : |
Returns : |

## Property Details

### The `"ready"` property

      "ready"                    gboolean              : Read

Whether the initial state dump from the account manager is finished.

Default value: FALSE

## Signal Details

### The `"account-changed"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            EmpathyAccount        *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-connection-changed"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            EmpathyAccount        *arg1,
                                                            gint                   arg2,
                                                            guint                  arg3,
                                                            guint                  arg4,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`arg4` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-created"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            EmpathyAccount        *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-deleted"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            EmpathyAccount        *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-disabled"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            EmpathyAccount        *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"account-enabled"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            EmpathyAccount        *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"global-presence-changed"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            guint                  arg1,
                                                            gchar                 *arg2,
                                                            gchar                 *arg3,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`arg2` : |
`arg3` : |
`user_data` : | user data set when the signal handler was connected.

### The `"new-connection"` signal

    void                user_function                      (EmpathyAccountManager *empathyaccountmanager,
                                                            TpConnection          *arg1,
                                                            gpointer               user_data)                  : Run Last

`empathyaccountmanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.